#include <time.h>
#include <string>
#include <iostream>
#include "TimingDump.hh"
#include "TimingTypes.hh"

using namespace std;
using namespace xml;

//______________________________________________________________________________
const char* const help_text = 
"Usage: TimingDump [-m 'smem']\n"
"       Dumps a timing record from shared memory to standard output.\n"
"       -m 'smem' : name of shared memory (default is TimingSystem)\n"
"       -d: print debug messages"
;


//______________________________________________________________________________
void TimeDump::work (const mfo_tree_list& mfolist)
{
   //-----------------------------  Dump the timing data to stdout as XML
   Time recent (0);
   cout << xsilMfoTreeList (mfolist, recent) << endl;
}

//______________________________________________________________________________
int main (int argc, char* argv[])
{
   // initialize shared memory consumer
   TimeDump dump (argc, argv);
   if (dump.help()) {
      cout << help_text << endl;
      return 0;
   }
   if (!dump) return 1;

   // loop over buffers (only do once in this app!)
   while (!dump.term()) {
       dump.read();
       break; // only do once in this app! Remove this line for other apps.
   }
   return 0;
}
