%define name 	gds
%define version 2.13.3
%define release 0
%define daswg   /opt/lscsoft
%define prefix  %{daswg}/gds

Name: 		%{name}
Summary: 	GDS v2.13.3
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		LSC Software/Data Analysis
Source: 	%{name}-%{version}-src.tar.gz
Packager: 	John Zweizig (zweizig_j@ligo.caltech.edu)
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
URL: 		http://ligo.mit.edu/lsc-itr2003/dmt.html
BuildRequires: 	gcc, gcc-c++, glibc, automake, autoconf, libtool, m4, make, gzip, curl, zlib, bzip2
AutoReqProv: 	no
Summary: 	GDS v2.13.3
Provides: 	%name
Obsoletes:	%name < %version
Prefix:		%prefix

%description
Global diagnostics software

%package core
Summary: 	GDS package Core libraries
Version: 	%{version}
Group: 		LSC Software/Data Analysis

%description core
Core libraries required by the rest of the GDS packages

%package crtools
Summary: 	Core shared objects
Version: 	%{version}
Group: 		LSC Software/Data Analysis
Requires:       %{name}-core = %{version}-%{release}

%description crtools
GDS control room tools

%package devel
Summary: 	GDS development files.
Version: 	%{version}
Group: 		LSC Software/Data Analysis
Requires:       %{name}-core = %{version}-%{release}

%description devel
GDS software development files.

%package monitors
Summary: 	DMT Monitor programs
Version: 	%{version}
Group: 		LSC Software/Data Analysis
Requires:       %{name}-core = %{version}-%{release}

%description monitors
GDS DMT monitor programs

%package runtime
Summary: 	DMT run-time software
Version: 	%{version}
Group: 		LSC Software/Data Analysis
Requires:       %{name}-monitors = %{version}-%{release}

%description runtime
DMT run-time supervisor and services

%package web
Summary: 	DMT web services
Version: 	%{version}
Group: 		LSC Software/Data Analysis
Requires:       %{name}-core = %{version}-%{release}

%description web
DMT web services

%prep
%setup -q

%build
PKG_CONFIG_PATH=%{daswg}/framecpp/%{_lib}/pkgconfig:%{daswg}/libmetaio/%{_lib}/pkgconfig:%{daswg}/lal/%{_lib}/pkgconfig:%{daswg}/libframe/%{_lib}/pkgconfig:/usr/%{_lib}/pkgconfig
ROOTSYS=%{daswg}/root
export PKG_CONFIG_PATH ROOTSYS
./configure  --prefix=%prefix --libdir=%{prefix}/%{_lib} \
	     --enable-online --enable-dtt
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%files core
%defattr(-,root,root)
%prefix/bin/addpath
%prefix/bin/addpathb
%prefix/bin/fdir
%prefix/bin/fextract
%prefix/bin/finfo
%prefix/bin/framecmp
%prefix/bin/framedump
%prefix/bin/FrameDump
%prefix/bin/Frame_Log
%prefix/bin/framelink
%prefix/bin/frcompress
%prefix/bin/FrDir
%prefix/bin/FrTest
%prefix/bin/fsettime
%prefix/bin/fwStatus
%prefix/bin/MergeTrends
%prefix/bin/NDS2Frame
%prefix/bin/prchans
%prefix/bin/prdata
%prefix/bin/prnames
%prefix/bin/prndsvsn
%prefix/bin/rempath
%prefix/bin/rempathb
%prefix/bin/root-setup
%prefix/bin/seg_calc
%prefix/bin/setup
%prefix/bin/setupb
%prefix/bin/SimList
%prefix/bin/smcreate
%prefix/bin/smdump
%prefix/bin/smkill
%prefix/bin/smlatency
%prefix/bin/smlist
%prefix/bin/smraw
%prefix/bin/smrepair
%prefix/bin/smspew
%prefix/bin/smstat
%prefix/bin/tablepgm
%prefix/bin/trendtable
%prefix/bin/udnls
%prefix/bin/when
%prefix/%{_lib}/libaudio.so*
%prefix/%{_lib}/libcalcengn.so*
%prefix/%{_lib}/libclient.so*
%prefix/%{_lib}/libdaqs.so*
%prefix/%{_lib}/libdmtsigp.so*
%prefix/%{_lib}/libframefast.so*
%prefix/%{_lib}/libframeio.so*
%prefix/%{_lib}/libframeutil.so*
%prefix/%{_lib}/libgdsbase.so*
%prefix/%{_lib}/libgdscntr.so*
%prefix/%{_lib}/libhtml.so*
%prefix/%{_lib}/liblmsg.so*
%prefix/%{_lib}/liblsmp.so*
%prefix/%{_lib}/liblxr.so*
%prefix/%{_lib}/libparsl.so*
%prefix/%{_lib}/libsockutil.so*
%prefix/%{_lib}/libxsil.so*
%prefix/%{_lib}/root-version
%prefix/root/*
%prefix/root/.rootrc

%files crtools
%defattr(-,root,root)
%prefix/bin/autostart
%prefix/bin/awggui
%prefix/bin/awgtpman
%prefix/bin/chnconfd
%prefix/bin/chndump
%prefix/bin/CY.robot
%prefix/bin/diagconfd
%prefix/bin/diagd
%prefix/bin/diaggui
%prefix/bin/dmtviewer
%prefix/bin/fantom
%prefix/bin/foton
%prefix/bin/gdserrd
%prefix/bin/leapconfd
%prefix/bin/lidax
%prefix/bin/mainmenu
%prefix/bin/MAN.robot
%prefix/bin/rlaunchd
%prefix/bin/xmlconv
%prefix/bin/xmldata
%prefix/bin/xmldir
%prefix/%{_lib}/libgdsalgo.so*
%prefix/%{_lib}/libdfmgui.so*
%prefix/%{_lib}/libdfm.so*
%prefix/%{_lib}/libdmtaccess.so*
%prefix/%{_lib}/libdmtview.so*
%prefix/%{_lib}/libdtt.so*
%prefix/%{_lib}/libdttview.so*
%prefix/%{_lib}/libfantom.so*
%prefix/%{_lib}/libgdsplot.so*
%prefix/%{_lib}/liblidax.so*
%prefix/%{_lib}/libligogui.so*
%prefix/%{_lib}/libmondmtsrvr.so*
%prefix/%{_lib}/libmonlmsg.so*
%prefix/startup/*

%files devel
%defattr(-,root,root)
%prefix/bin/DatTemplate
%prefix/bin/DatTemplateMC
%prefix/bin/DMTemplate
%prefix/bin/SvrTemplate
%prefix/bin/TrigTemplate
%prefix/include/*
%prefix/%{_lib}/*.a
%prefix/%{_lib}/*.la

%files monitors
%defattr(-,root,root)
%prefix/bin/BicoMon
%prefix/bin/BicoViewer
%prefix/bin/BitTest
%prefix/bin/blrms_monitor
%prefix/bin/burstMon
%prefix/bin/CheckDataValid
%prefix/bin/Cumulus
%prefix/bin/DEnvCorr
%prefix/bin/dewarMon
%prefix/bin/DMTGen
%prefix/bin/DuoTone
%prefix/bin/dvTest
%prefix/bin/earthquake_alarm
%prefix/bin/eqMon
%prefix/bin/FrWrite
%prefix/bin/GainMon
%prefix/bin/hMon
%prefix/bin/hoftMon
%prefix/bin/glitchMon
%prefix/bin/HistCompr
%prefix/bin/InspiralMon
%prefix/bin/InspiralRange
%prefix/bin/IRIG-B
%prefix/bin/kleineWelle
%prefix/bin/kleineWelleN
%prefix/bin/kleineWelleM
%prefix/bin/LIGOLwMon
%prefix/bin/LightMon
%prefix/bin/LineMonitor
%prefix/bin/LockLoss
%prefix/bin/LscMonitor
%prefix/bin/mkcalibfile
%prefix/bin/MatchTrig
%prefix/bin/MonTrend
%prefix/bin/MultiVolt
%prefix/bin/NdasWriter
%prefix/bin/NoiseFloorMonitor
%prefix/bin/NormTest
%prefix/bin/OmegaMon
%prefix/bin/PDnMon
%prefix/bin/PhotonCal
%prefix/bin/PlaneMon
%prefix/bin/PSD_PlotMaker
%prefix/bin/PSLmon
%prefix/bin/PulsarMon
%prefix/bin/RayleighMonitor
%prefix/bin/runDuoToneM.csh
%prefix/bin/SatScan
%prefix/bin/SegGener
%prefix/bin/SenseMonitor
%prefix/bin/ShapeMon
%prefix/bin/SixtyHertzMon
%prefix/bin/Slice2
%prefix/bin/SpectrumArchiver
%prefix/bin/SpectrumFold
%prefix/bin/Station
%prefix/bin/StochMon
%prefix/bin/StrainbandsMon
%prefix/bin/StrainWatch
%prefix/bin/suspensionMon
%prefix/bin/TimeMon
%prefix/bin/TrigDsply
%prefix/bin/TrigSpec
%prefix/bin/WaveMon
%prefix/%{_lib}/libezcalib.so*
%prefix/%{_lib}/libgdsevent.so*
%prefix/%{_lib}/libgdstrig.so*
%prefix/%{_lib}/libgenerator.so*
%prefix/%{_lib}/liblscemul.so*
%prefix/%{_lib}/libmonitor.so*
%prefix/%{_lib}/libosc.so*
%prefix/%{_lib}/libpanel.so*
%prefix/%{_lib}/libserver.so*
%prefix/%{_lib}/libtclient.so*

%files runtime
%defattr(-,root,root)
%prefix/bin/addName
%prefix/bin/Alarm
%prefix/bin/AlarmCtrl
%prefix/bin/AlarmMgr
%prefix/bin/AlarmOnHTML
%prefix/bin/confCompare
%prefix/bin/cpName
%prefix/bin/dmtdq_seg_insert
%prefix/bin/dmtstatus
%prefix/bin/DpushM
%prefix/bin/DpushRT
%prefix/bin/envars.*
%prefix/bin/findProc
%prefix/bin/getName
%prefix/bin/GraphIt
%prefix/bin/makeIndex
%prefix/bin/mkTrendDirs
%prefix/bin/NameBackup
%prefix/bin/nameindex
%prefix/bin/NameServer
%prefix/bin/procmgt
%prefix/bin/procntrl
%prefix/bin/procsetup
%prefix/bin/prune.pl
%prefix/bin/remName
%prefix/bin/SegData
%prefix/bin/SegDirectory
%prefix/bin/SegEpics
%prefix/bin/SPI.pl
%prefix/bin/SPI.tcsh
%prefix/bin/TrendAvg
%prefix/bin/TrigMgr
%prefix/bin/trigRmNode
%prefix/bin/TrigRndm
%prefix/bin/Tunnel
%prefix/bin/USAGE.tcsh
%prefix/bin/waitProc
%prefix/bin/WatchDawg
%prefix/bin/WEEDER.tcsh
%prefix/etc/*
%prefix/%{_lib}/libframexmit.so*

%files web
%defattr(-,root,root)
%prefix/bin/webview
%prefix/bin/webxmledit
%prefix/%{_lib}/libweb.so*
